## org.eclipse.jst.jsf.facesconfig.emf
Interface DocumentRoot

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Absolute Ordering`
- `Action Listener`
- `Application`
- `Application Factory`
- `Attribute`
- `Attribute Class`
- `Attribute Extension`
- `Attribute Name`
- `Behavior`
- `Behavior Class`
- `Behavior Id`
- `Behavior Extension`
- `Component`
- `Component Class`
- `Component Extension`
- `Component Family`
- `Component Type`
- `Converter`
- `Converter Class`
- `Converter For Class`
- `Converter Id`
- `Default Locale`
- `Default Render Kit Id`
- `Default Validators`
- `Default Value`
- `Description`
- `Display Name`
- `Exception Handler Factory`
- `External Context Factory`
- `Faces Config`
- `Faces Context Factory`
- `Facet`
- `Facet Extension`
- `Facet Name`
- `Factory`
- `From Action`
- `From Outcome`
- `From View Id`
- `Icon`
- `If`
- `Key`
- `Key Class`
- `Large Icon`
- `Lifecycle`
- `Lifecycle Factory`
- `List Entries`
- `Locale Config`
- `Managed Bean`
- `Managed Bean Class`
- `Managed Bean Name`
- `Managed Bean Scope`
- `Managed Property`
- `Map Entries`
- `Map Entry`
- `Message Bundle`
- `Name`
- `Navigation Case`
- `Navigation Handler`
- `Navigation Rule`
- `Null Value`
- `Ordering`
- `Ordering Ordering`
- `Others`
- `Partial View Context Factory`
- `Phase Listener`
- `Property`
- `Property Class`
- `Property Extension`
- `Property Name`
- `Property Resolver`
- `Redirect`
- `Redirect View Param`
- `Referenced Bean`
- `Referenced Bean Class`
- `Referenced Bean Name`
- `Renderer`
- `Renderer Class`
- `Renderer Extension`
- `Renderer Type`
- `Render Kit`
- `Render Kit Class`
- `Render Kit Factory`
- `Render Kit Id`
- `Resource Handler`
- `Small Icon`
- `Source Class`
- `State Manager`
- `Suggested Value`
- `Supported Locale`
- `System Event Class`
- `System Event Listener`
- `System Event Listener Class`
- `Tag Handler Delegate Factory`
- `To View Id`
- `Validator`
- `Validator Class`
- `Validator Id`
- `Value`
- `Value Class`
- `Variable Resolver`
- `View Declaration Language Factory`
- `View Handler`
- `Visit Context Factory`

See Also:
  `FacesConfigPackage.getDocumentRoot()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AbsoluteOrderingType` `getAbsoluteOrdering()` Returns the value of the 'Absolute Ordering' containment reference
`ActionListenerType` `getActionListener()` Returns the value of the 'Action Listener' containment reference
`ApplicationType` `getApplication()` Returns the value of the 'Application' containment reference
`ApplicationFactoryType` `getApplicationFactory()` Returns the value of the 'Application Factory' containment reference
`AttributeType` `getAttribute()` Returns the value of the 'Attribute' containment reference
`AttributeClassType` `getAttributeClass()` Returns the value of the 'Attribute Class' containment reference
`AttributeExtensionType` `getAttributeExtension()` Returns the value of the 'Attribute Extension' containment reference
`AttributeNameType` `getAttributeName()` Returns the value of the 'Attribute Name' containment reference
`BehaviorType` `getBehavior()` Returns the value of the 'Behavior' containment reference
`BehaviorClassType` `getBehaviorClass()` Returns the value of the 'Behavior Class' containment reference
`BehaviorExtensionType` `getBehaviorExtension()` Returns the value of the 'Behavior Extension' containment reference
`BehaviorIdType` `getBehaviorId()` Returns the value of the 'Behavior Id' containment reference
`ComponentType` `getComponent()` Returns the value of the 'Component' containment reference
`ComponentClassType` `getComponentClass()` Returns the value of the 'Component Class' containment reference
`ComponentExtensionType` `getComponentExtension()` Returns the value of the 'Component Extension' containment reference
`ComponentFamilyType` `getComponentFamily()` Returns the value of the 'Component Family' containment reference
`ComponentTypeType` `getComponentType()` Returns the value of the 'Component Type' containment reference
`ConverterType` `getConverter()` Returns the value of the 'Converter' containment reference
`ConverterClassType` `getConverterClass()` Returns the value of the 'Converter Class' containment reference
`ConverterForClassType` `getConverterForClass()` Returns the value of the 'Converter For Class' containment reference
`ConverterIdType` `getConverterId()` Returns the value of the 'Converter Id' containment reference
`DefaultLocaleType` `getDefaultLocale()` Returns the value of the 'Default Locale' containment reference
`DefaultRenderKitIdType` `getDefaultRenderKitId()` Returns the value of the 'Default Render Kit Id' containment reference
`DefaultValidatorsType` `getDefaultValidators()` Returns the value of the 'Default Validators' containment reference
`DefaultValueType` `getDefaultValue()` Returns the value of the 'Default Value' containment reference
`DescriptionType` `getDescription()` Returns the value of the 'Description' containment reference
`DisplayNameType` `getDisplayName()` Returns the value of the 'Display Name' containment reference
`ExceptionHandlerFactoryType` `getExceptionHandlerFactory()` Returns the value of the 'Exception Handler Factory' containment reference
`ExternalContextFactoryType` `getExternalContextFactory()` Returns the value of the 'External Context Factory' containment reference
`FacesConfigType` `getFacesConfig()` Returns the value of the 'Faces Config' containment reference
`FacesContextFactoryType` `getFacesContextFactory()` Returns the value of the 'Faces Context Factory' containment reference
`FacetType` `getFacet()` Returns the value of the 'Facet' containment reference
`FacetExtensionType` `getFacetExtension()` Returns the value of the 'Facet Extension' containment reference
`FacetNameType` `getFacetName()` Returns the value of the 'Facet Name' containment reference
`FactoryType` `getFactory()` Returns the value of the 'Factory' containment reference
`FromActionType` `getFromAction()` Returns the value of the 'From Action' containment reference
`FromOutcomeType` `getFromOutcome()` Returns the value of the 'From Outcome' containment reference
`FromViewIdType` `getFromViewId()` Returns the value of the 'From View Id' containment reference
`IconType` `getIcon()` Returns the value of the 'Icon' containment reference
`IfType` `getIf()` Returns the value of the 'If' containment reference
`KeyType` `getKey()` Returns the value of the 'Key' containment reference
`KeyClassType` `getKeyClass()` Returns the value of the 'Key Class' containment reference
`LargeIconType` `getLargeIcon()` Returns the value of the 'Large Icon' containment reference
`LifecycleType` `getLifecycle()` Returns the value of the 'Lifecycle' containment reference
`LifecycleFactoryType` `getLifecycleFactory()` Returns the value of the 'Lifecycle Factory' containment reference
`ListEntriesType` `getListEntries()` Returns the value of the 'List Entries' containment reference
`LocaleConfigType` `getLocaleConfig()` Returns the value of the 'Locale Config' containment reference
`ManagedBeanType` `getManagedBean()` Returns the value of the 'Managed Bean' containment reference
`ManagedBeanClassType` `getManagedBeanClass()` Returns the value of the 'Managed Bean Class' containment reference
`ManagedBeanNameType` `getManagedBeanName()` Returns the value of the 'Managed Bean Name' containment reference
`ManagedBeanScopeType` `getManagedBeanScope()` Returns the value of the 'Managed Bean Scope' containment reference
`ManagedPropertyType` `getManagedProperty()` Returns the value of the 'Managed Property' containment reference
`MapEntriesType` `getMapEntries()` Returns the value of the 'Map Entries' containment reference
`MapEntryType` `getMapEntry()` Returns the value of the 'Map Entry' containment reference
`MessageBundleType` `getMessageBundle()` Returns the value of the 'Message Bundle' containment reference
`FeatureMap` `getMixed()` Returns the value of the 'Mixed' attribute list.
`NameType` `getName()` Returns the value of the 'Name' containment reference
`NavigationCaseType` `getNavigationCase()` Returns the value of the 'Navigation Case' containment reference
`NavigationHandlerType` `getNavigationHandler()` Returns the value of the 'Navigation Handler' containment reference
`NavigationRuleType` `getNavigationRule()` Returns the value of the 'Navigation Rule' containment reference
`NullValueType` `getNullValue()` Returns the value of the 'Null Value' containment reference
`OrderingType` `getOrdering()` Returns the value of the 'Ordering' containment reference
`OrderingOrderingType` `getOrderingOrdering()` Returns the value of the 'Ordering Ordering' containment reference
`OrderingOthersType` `getOthers()` Returns the value of the 'Others' containment reference
`PartialViewContextFactoryType` `getPartialViewContextFactory()` Returns the value of the 'Partial View Context Factory' containment reference
`PhaseListenerType` `getPhaseListener()` Returns the value of the 'Phase Listener' containment reference
`PropertyType` `getProperty()` Returns the value of the 'Property' containment reference
`PropertyClassType` `getPropertyClass()` Returns the value of the 'Property Class' containment reference
`PropertyExtensionType` `getPropertyExtension()` Returns the value of the 'Property Extension' containment reference
`PropertyNameType` `getPropertyName()` Returns the value of the 'Property Name' containment reference
`PropertyResolverType` `getPropertyResolver()` Returns the value of the 'Property Resolver' containment reference
`RedirectType` `getRedirect()` Returns the value of the 'Redirect' containment reference
`RedirectViewParamType` `getRedirectViewParam()` Returns the value of the 'Redirect View Param' containment reference
`ReferencedBeanType` `getReferencedBean()` Returns the value of the 'Referenced Bean' containment reference
`ReferencedBeanClassType` `getReferencedBeanClass()` Returns the value of the 'Referenced Bean Class' containment reference
`ReferencedBeanNameType` `getReferencedBeanName()` Returns the value of the 'Referenced Bean Name' containment reference
`RendererType` `getRenderer()` Returns the value of the 'Renderer' containment reference
`RendererClassType` `getRendererClass()` Returns the value of the 'Renderer Class' containment reference
`RendererExtensionType` `getRendererExtension()` Returns the value of the 'Renderer Extension' containment reference
`RendererTypeType` `getRendererType()` Returns the value of the 'Renderer Type' containment reference
`RenderKitType` `getRenderKit()` Returns the value of the 'Render Kit' containment reference
`RenderKitClassType` `getRenderKitClass()` Returns the value of the 'Render Kit Class' containment reference
`RenderKitFactoryType` `getRenderKitFactory()` Returns the value of the 'Render Kit Factory' containment reference
`RenderKitIdType` `getRenderKitId()` Returns the value of the 'Render Kit Id' containment reference
`ResourceHandlerType` `getResourceHandler()` Returns the value of the 'Resource Handler' containment reference
`SmallIconType` `getSmallIcon()` Returns the value of the 'Small Icon' containment reference
`SourceClassType` `getSourceClass()` Returns the value of the 'Source Class' containment reference
`StateManagerType` `getStateManager()` Returns the value of the 'State Manager' containment reference
`SuggestedValueType` `getSuggestedValue()` Returns the value of the 'Suggested Value' containment reference
`SupportedLocaleType` `getSupportedLocale()` Returns the value of the 'Supported Locale' containment reference
`SystemEventClassType` `getSystemEventClass()` Returns the value of the 'System Event Class' containment reference
`SystemEventListenerType` `getSystemEventListener()` Returns the value of the 'System Event Listener' containment reference
`SystemEventListenerClassType` `getSystemEventListenerClass()` Returns the value of the 'System Event Listener Class' containment reference
`TagHandlerDelegateFactoryType` `getTagHandlerDelegateFactory()` Returns the value of the 'Tag Handler Delegate Factory' containment reference
`ToViewIdType` `getToViewId()` Returns the value of the 'To View Id' containment reference
`ValidatorType` `getValidator()` Returns the value of the 'Validator' containment reference
`ValidatorClassType` `getValidatorClass()` Returns the value of the 'Validator Class' containment reference
`ValidatorIdType` `getValidatorId()` Returns the value of the 'Validator Id' containment reference
`ValueType` `getValue()` Returns the value of the 'Value' containment reference
`ValueClassType` `getValueClass()` Returns the value of the 'Value Class' containment reference
`VariableResolverType` `getVariableResolver()` Returns the value of the 'Variable Resolver' containment reference
`ViewDeclarationLanguageFactoryType` `getViewDeclarationLanguageFactory()` Returns the value of the 'View Declaration Language Factory' containment reference
`ViewHandlerType` `getViewHandler()` Returns the value of the 'View Handler' containment reference
`VisitContextFactoryType` `getVisitContextFactory()` Returns the value of the 'Visit Context Factory' containment reference
`EMap` `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`EMap` `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` `setAbsoluteOrdering(AbsoluteOrderingType value)` Sets the value of the '`Absolute Ordering`' containment reference
`void` `setActionListener(ActionListenerType value)` Sets the value of the '`Action Listener`' containment reference
`void` `setApplication(ApplicationType value)` Sets the value of the '`Application`' containment reference
`void` `setApplicationFactory(ApplicationFactoryType value)` Sets the value of the '`Application Factory`' containment reference
`void` `setAttribute(AttributeType value)` Sets the value of the '`Attribute`' containment reference
`void` `setAttributeClass(AttributeClassType value)` Sets the value of the '`Attribute Class`' containment reference
`void` `setAttributeExtension(AttributeExtensionType value)` Sets the value of the '`Attribute Extension`' containment reference
`void` `setAttributeName(AttributeNameType value)` Sets the value of the '`Attribute Name`' containment reference
`void` `setBehavior(BehaviorType value)` Sets the value of the '`Behavior`' containment reference
`void` `setBehaviorClass(BehaviorClassType value)` Sets the value of the '`Behavior Class`' containment reference
`void` `setBehaviorExtension(BehaviorExtensionType value)` Sets the value of the '`Behavior Extension`' containment reference
`void` `setBehaviorId(BehaviorIdType value)` Sets the value of the '`Behavior Id`' containment reference
`void` `setComponent(ComponentType value)` Sets the value of the '`Component`' containment reference
`void` `setComponentClass(ComponentClassType value)` Sets the value of the '`Component Class`' containment reference
`void` `setComponentExtension(ComponentExtensionType value)` Sets the value of the '`Component Extension`' containment reference
`void` `setComponentFamily(ComponentFamilyType value)` Sets the value of the '`Component Family`' containment reference
`void` `setComponentType(ComponentTypeType value)` Sets the value of the '`Component Type`' containment reference
`void` `setConverter(ConverterType value)` Sets the value of the '`Converter`' containment reference
`void` `setConverterClass(ConverterClassType value)` Sets the value of the '`Converter Class`' containment reference
`void` `setConverterForClass(ConverterForClassType value)` Sets the value of the '`Converter For Class`' containment reference
`void` `setConverterId(ConverterIdType value)` Sets the value of the '`Converter Id`' containment reference
`void` `setDefaultLocale(DefaultLocaleType value)` Sets the value of the '`Default Locale`' containment reference
`void` `setDefaultRenderKitId(DefaultRenderKitIdType value)` Sets the value of the '`Default Render Kit Id`' containment reference
`void` `setDefaultValidators(DefaultValidatorsType value)` Sets the value of the '`Default Validators`' containment reference
`void` `setDefaultValue(DefaultValueType value)` Sets the value of the '`Default Value`' containment reference
`void` `setDescription(DescriptionType value)` Sets the value of the '`Description`' containment reference
`void` `setDisplayName(DisplayNameType value)` Sets the value of the '`Display Name`' containment reference
`void` `setExceptionHandlerFactory(ExceptionHandlerFactoryType value)` Sets the value of the '`Exception Handler Factory`' containment reference
`void` `setExternalContextFactory(ExternalContextFactoryType value)` Sets the value of the '`External Context Factory`' containment reference
`void` `setFacesConfig(FacesConfigType value)` Sets the value of the '`Faces Config`' containment reference
`void` `setFacesContextFactory(FacesContextFactoryType value)` Sets the value of the '`Faces Context Factory`' containment reference
`void` `setFacet(FacetType value)` Sets the value of the '`Facet`' containment reference
`void` `setFacetExtension(FacetExtensionType value)` Sets the value of the '`Facet Extension`' containment reference
`void` `setFacetName(FacetNameType value)` Sets the value of the '`Facet Name`' containment reference
`void` `setFactory(FactoryType value)` Sets the value of the '`Factory`' containment reference
`void` `setFromAction(FromActionType value)` Sets the value of the '`From Action`' containment reference
`void` `setFromOutcome(FromOutcomeType value)` Sets the value of the '`From Outcome`' containment reference
`void` `setFromViewId(FromViewIdType value)` Sets the value of the '`From View Id`' containment reference
`void` `setIcon(IconType value)` Sets the value of the '`Icon`' containment reference
`void` `setIf(IfType value)` Sets the value of the '`If`' containment reference
`void` `setKey(KeyType value)` Sets the value of the '`Key`' containment reference
`void` `setKeyClass(KeyClassType value)` Sets the value of the '`Key Class`' containment reference
`void` `setLargeIcon(LargeIconType value)` Sets the value of the '`Large Icon`' containment reference
`void` `setLifecycle(LifecycleType value)` Sets the value of the '`Lifecycle`' containment reference
`void` `setLifecycleFactory(LifecycleFactoryType value)` Sets the value of the '`Lifecycle Factory`' containment reference
`void` `setListEntries(ListEntriesType value)` Sets the value of the '`List Entries`' containment reference
`void` `setLocaleConfig(LocaleConfigType value)` Sets the value of the '`Locale Config`' containment reference
`void` `setManagedBean(ManagedBeanType value)` Sets the value of the '`Managed Bean`' containment reference
`void` `setManagedBeanClass(ManagedBeanClassType value)` Sets the value of the '`Managed Bean Class`' containment reference
`void` `setManagedBeanName(ManagedBeanNameType value)` Sets the value of the '`Managed Bean Name`' containment reference
`void` `setManagedBeanScope(ManagedBeanScopeType value)` Sets the value of the '`Managed Bean Scope`' containment reference
`void` `setManagedProperty(ManagedPropertyType value)` Sets the value of the '`Managed Property`' containment reference
`void` `setMapEntries(MapEntriesType value)` Sets the value of the '`Map Entries`' containment reference
`void` `setMapEntry(MapEntryType value)` Sets the value of the '`Map Entry`' containment reference
`void` `setMessageBundle(MessageBundleType value)` Sets the value of the '`Message Bundle`' containment reference
`void` `setName(NameType value)` Sets the value of the '`Name`' containment reference
`void` `setNavigationCase(NavigationCaseType value)` Sets the value of the '`Navigation Case`' containment reference
`void` `setNavigationHandler(NavigationHandlerType value)` Sets the value of the '`Navigation Handler`' containment reference
`void` `setNavigationRule(NavigationRuleType value)` Sets the value of the '`Navigation Rule`' containment reference
`void` `setNullValue(NullValueType value)` Sets the value of the '`Null Value`' containment reference
`void` `setOrdering(OrderingType value)` Sets the value of the '`Ordering`' containment reference
`void` `setOrderingOrdering(OrderingOrderingType value)` Sets the value of the '`Ordering Ordering`' containment reference
`void` `setOthers(OrderingOthersType value)` Sets the value of the '`Others`' containment reference
`void` `setPartialViewContextFactory(PartialViewContextFactoryType value)` Sets the value of the '`Partial View Context Factory`' containment reference
`void` `setPhaseListener(PhaseListenerType value)` Sets the value of the '`Phase Listener`' containment reference
`void` `setProperty(PropertyType value)` Sets the value of the '`Property`' containment reference
`void` `setPropertyClass(PropertyClassType value)` Sets the value of the '`Property Class`' containment reference
`void` `setPropertyExtension(PropertyExtensionType value)` Sets the value of the '`Property Extension`' containment reference
`void` `setPropertyName(PropertyNameType value)` Sets the value of the '`Property Name`' containment reference
`void` `setPropertyResolver(PropertyResolverType value)` Sets the value of the '`Property Resolver`' containment reference
`void` `setRedirect(RedirectType value)` Sets the value of the '`Redirect`' containment reference
`void` `setRedirectViewParam(RedirectViewParamType value)` Sets the value of the '`Redirect View Param`' containment reference
`void` `setReferencedBean(ReferencedBeanType value)` Sets the value of the '`Referenced Bean`' containment reference
`void` `setReferencedBeanClass(ReferencedBeanClassType value)` Sets the value of the '`Referenced Bean Class`' containment reference
`void` `setReferencedBeanName(ReferencedBeanNameType value)` Sets the value of the '`Referenced Bean Name`' containment reference
`void` `setRenderer(RendererType value)` Sets the value of the '`Renderer`' containment reference
`void` `setRendererClass(RendererClassType value)` Sets the value of the '`Renderer Class`' containment reference
`void` `setRendererExtension(RendererExtensionType value)` Sets the value of the '`Renderer Extension`' containment reference
`void` `setRendererType(RendererTypeType value)` Sets the value of the '`Renderer Type`' containment reference
`void` `setRenderKit(RenderKitType value)` Sets the value of the '`Render Kit`' containment reference
`void` `setRenderKitClass(RenderKitClassType value)` Sets the value of the '`Render Kit Class`' containment reference
`void` `setRenderKitFactory(RenderKitFactoryType value)` Sets the value of the '`Render Kit Factory`' containment reference
`void` `setRenderKitId(RenderKitIdType value)` Sets the value of the '`Render Kit Id`' containment reference
`void` `setResourceHandler(ResourceHandlerType value)` Sets the value of the '`Resource Handler`' containment reference
`void` `setSmallIcon(SmallIconType value)` Sets the value of the '`Small Icon`' containment reference
`void` `setSourceClass(SourceClassType value)` Sets the value of the '`Source Class`' containment reference
`void` `setStateManager(StateManagerType value)` Sets the value of the '`State Manager`' containment reference
`void` `setSuggestedValue(SuggestedValueType value)` Sets the value of the '`Suggested Value`' containment reference
`void` `setSupportedLocale(SupportedLocaleType value)` Sets the value of the '`Supported Locale`' containment reference
`void` `setSystemEventClass(SystemEventClassType value)` Sets the value of the '`System Event Class`' containment reference
`void` `setSystemEventListener(SystemEventListenerType value)` Sets the value of the '`System Event Listener`' containment reference
`void` `setSystemEventListenerClass(SystemEventListenerClassType value)` Sets the value of the '`System Event Listener Class`' containment reference
`void` `setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType value)` Sets the value of the '`Tag Handler Delegate Factory`' containment reference
`void` `setToViewId(ToViewIdType value)` Sets the value of the '`To View Id`' containment reference
`void` `setValidator(ValidatorType value)` Sets the value of the '`Validator`' containment reference
`void` `setValidatorClass(ValidatorClassType value)` Sets the value of the '`Validator Class`' containment reference
`void` `setValidatorId(ValidatorIdType value)` Sets the value of the '`Validator Id`' containment reference
`void` `setValue(ValueType value)` Sets the value of the '`Value`' containment reference
`void` `setValueClass(ValueClassType value)` Sets the value of the '`Value Class`' containment reference
`void` `setVariableResolver(VariableResolverType value)` Sets the value of the '`Variable Resolver`' containment reference
`void` `setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType value)` Sets the value of the '`View Declaration Language Factory`' containment reference
`void` `setViewHandler(ViewHandlerType value)` Sets the value of the '`View Handler`' containment reference
`void` `setVisitContextFactory(VisitContextFactoryType value)` Sets the value of the '`Visit Context Factory`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getMixed

    FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `org.eclipse.emf.ecore.util.FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `FacesConfigPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `FacesConfigPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `FacesConfigPackage.getDocumentRoot_XSISchemaLocation()`

### getAbsoluteOrdering

    AbsoluteOrderingType getAbsoluteOrdering()

  Returns the value of the 'Absolute Ordering' containment reference.

  Returns:
    the value of the 'Absolute Ordering' containment reference.
  See Also:
    `setAbsoluteOrdering(AbsoluteOrderingType)`, `FacesConfigPackage.getDocumentRoot_AbsoluteOrdering()`

### setAbsoluteOrdering

    void setAbsoluteOrdering(AbsoluteOrderingType value)

  Sets the value of the '`Absolute Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Absolute Ordering' containment reference.
  See Also:
    `getAbsoluteOrdering()`

### getActionListener

    ActionListenerType getActionListener()

  Returns the value of the 'Action Listener' containment reference. ==================== Subordinate Elements ============================ The "action-listener" element contains the fully qualified class name of the concrete ActionListener implementation class that will be called during the Invoke Application phase of the request processing lifecycle. It must be of type "ClassName".

  Returns:
    the value of the 'Action Listener' containment reference.
  See Also:
    `setActionListener(ActionListenerType)`, `FacesConfigPackage.getDocumentRoot_ActionListener()`

### setActionListener

    void setActionListener(ActionListenerType value)

  Sets the value of the '`Action Listener`' containment reference.

  Parameters:
    `value` - the new value of the 'Action Listener' containment reference.
  See Also:
    `getActionListener()`

### getApplication

    ApplicationType getApplication()

  Returns the value of the 'Application' containment reference. ==================== Definition Elements ============================= The "application" element provides a mechanism to define the various per-application-singleton implementation classes for a particular web application that is utilizing JavaServer Faces. For nested elements that are not specified, the JSF implementation must provide a suitable default.

  Returns:
    the value of the 'Application' containment reference.
  See Also:
    `setApplication(ApplicationType)`, `FacesConfigPackage.getDocumentRoot_Application()`

### setApplication

    void setApplication(ApplicationType value)

  Sets the value of the '`Application`' containment reference.

  Parameters:
    `value` - the new value of the 'Application' containment reference.
  See Also:
    `getApplication()`

### getApplicationFactory

    ApplicationFactoryType getApplicationFactory()

  Returns the value of the 'Application Factory' containment reference. The "application-factory" element contains the fully qualified class name of the concrete ApplicationFactory implementation class that will be called when FactoryFinder.getFactory(APPLICATION_FACTORY) is called. It must be of type "ClassName".

  Returns:
    the value of the 'Application Factory' containment reference.
  See Also:
    `setApplicationFactory(ApplicationFactoryType)`, `FacesConfigPackage.getDocumentRoot_ApplicationFactory()`

### setApplicationFactory

    void setApplicationFactory(ApplicationFactoryType value)

  Sets the value of the '`Application Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Application Factory' containment reference.
  See Also:
    `getApplicationFactory()`

### getAttribute

    AttributeType getAttribute()

  Returns the value of the 'Attribute' containment reference. The "attribute" element represents a named, typed, value associated with the parent UIComponent via the generic attributes mechanism. Attribute names must be unique within the scope of the parent (or related) component.

  Returns:
    the value of the 'Attribute' containment reference.
  See Also:
    `setAttribute(AttributeType)`, `FacesConfigPackage.getDocumentRoot_Attribute()`

### setAttribute

    void setAttribute(AttributeType value)

  Sets the value of the '`Attribute`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute' containment reference.
  See Also:
    `getAttribute()`

### getAttributeClass

    AttributeClassType getAttributeClass()

  Returns the value of the 'Attribute Class' containment reference. The "attribute-class" element represents the Java type of the value associated with this attribute name. It must be of type "ClassName".

  Returns:
    the value of the 'Attribute Class' containment reference.
  See Also:
    `setAttributeClass(AttributeClassType)`, `FacesConfigPackage.getDocumentRoot_AttributeClass()`

### setAttributeClass

    void setAttributeClass(AttributeClassType value)

  Sets the value of the '`Attribute Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Class' containment reference.
  See Also:
    `getAttributeClass()`

### getAttributeExtension

    AttributeExtensionType getAttributeExtension()

  Returns the value of the 'Attribute Extension' containment reference. Extension element for attribute. May contain implementation specific content.

  Returns:
    the value of the 'Attribute Extension' containment reference.
  See Also:
    `setAttributeExtension(AttributeExtensionType)`, `FacesConfigPackage.getDocumentRoot_AttributeExtension()`

### setAttributeExtension

    void setAttributeExtension(AttributeExtensionType value)

  Sets the value of the '`Attribute Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Extension' containment reference.
  See Also:
    `getAttributeExtension()`

### getAttributeName

    AttributeNameType getAttributeName()

  Returns the value of the 'Attribute Name' containment reference. The "attribute-name" element represents the name under which the corresponding value will be stored, in the generic attributes of the UIComponent we are related to.

  Returns:
    the value of the 'Attribute Name' containment reference.
  See Also:
    `setAttributeName(AttributeNameType)`, `FacesConfigPackage.getDocumentRoot_AttributeName()`

### setAttributeName

    void setAttributeName(AttributeNameType value)

  Sets the value of the '`Attribute Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Name' containment reference.
  See Also:
    `getAttributeName()`

### getBehavior

    BehaviorType getBehavior()

  Returns the value of the 'Behavior' containment reference.

  Returns:
    the value of the 'Behavior' containment reference.
  See Also:
    `setBehavior(BehaviorType)`, `FacesConfigPackage.getDocumentRoot_Behavior()`

### setBehavior

    void setBehavior(BehaviorType value)

  Sets the value of the '`Behavior`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior' containment reference.
  See Also:
    `getBehavior()`

### getBehaviorClass

    BehaviorClassType getBehaviorClass()

  Returns the value of the 'Behavior Class' containment reference.

  Returns:
    the value of the 'Behavior Class' containment reference.
  See Also:
    `setBehaviorClass(BehaviorClassType)`, `FacesConfigPackage.getDocumentRoot_BehaviorClass()`

### setBehaviorClass

    void setBehaviorClass(BehaviorClassType value)

  Sets the value of the '`Behavior Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior Class' containment reference.
  See Also:
    `getBehaviorClass()`

### getBehaviorId

    BehaviorIdType getBehaviorId()

  Returns the value of the 'Behavior Id' containment reference.

  Returns:
    the value of the 'Behavior Id' containment reference.
  See Also:
    `setBehaviorId(BehaviorIdType)`, `FacesConfigPackage.getDocumentRoot_BehaviorId()`

### setBehaviorId

    void setBehaviorId(BehaviorIdType value)

  Sets the value of the '`Behavior Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior Id' containment reference.
  See Also:
    `getBehaviorId()`

### getBehaviorExtension

    BehaviorExtensionType getBehaviorExtension()

  Returns the value of the 'Behavior Extension' containment reference.

  Returns:
    the value of the 'Behavior Extension' containment reference.
  See Also:
    `setBehaviorExtension(BehaviorExtensionType)`, `FacesConfigPackage.getDocumentRoot_BehaviorExtension()`

### setBehaviorExtension

    void setBehaviorExtension(BehaviorExtensionType value)

  Sets the value of the '`Behavior Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Behavior Extension' containment reference.
  See Also:
    `getBehaviorExtension()`

### getComponent

    ComponentType getComponent()

  Returns the value of the 'Component' containment reference. The "component" element represents a concrete UIComponent implementation class that should be registered under the specified type identifier, along with its associated properties and attributes. Component types must be unique within the entire web application. Nested "attribute" elements identify generic attributes that are recognized by the implementation logic of this component. Nested "property" elements identify JavaBeans properties of the component class that may be exposed for manipulation via tools.

  Returns:
    the value of the 'Component' containment reference.
  See Also:
    `setComponent(ComponentType)`, `FacesConfigPackage.getDocumentRoot_Component()`

### setComponent

    void setComponent(ComponentType value)

  Sets the value of the '`Component`' containment reference.

  Parameters:
    `value` - the new value of the 'Component' containment reference.
  See Also:
    `getComponent()`

### getComponentClass

    ComponentClassType getComponentClass()

  Returns the value of the 'Component Class' containment reference. The "component-class" element represents the fully qualified class name of a concrete UIComponent implementation class. It must be of type "ClassName".

  Returns:
    the value of the 'Component Class' containment reference.
  See Also:
    `setComponentClass(ComponentClassType)`, `FacesConfigPackage.getDocumentRoot_ComponentClass()`

### setComponentClass

    void setComponentClass(ComponentClassType value)

  Sets the value of the '`Component Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Class' containment reference.
  See Also:
    `getComponentClass()`

### getComponentExtension

    ComponentExtensionType getComponentExtension()

  Returns the value of the 'Component Extension' containment reference. Extension element for component. May contain implementation specific content.

  Returns:
    the value of the 'Component Extension' containment reference.
  See Also:
    `setComponentExtension(ComponentExtensionType)`, `FacesConfigPackage.getDocumentRoot_ComponentExtension()`

### setComponentExtension

    void setComponentExtension(ComponentExtensionType value)

  Sets the value of the '`Component Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Extension' containment reference.
  See Also:
    `getComponentExtension()`

### getComponentFamily

    ComponentFamilyType getComponentFamily()

  Returns the value of the 'Component Family' containment reference. The "component-family" element represents the component family for which the Renderer represented by the parent "renderer" element will be used.

  Returns:
    the value of the 'Component Family' containment reference.
  See Also:
    `setComponentFamily(ComponentFamilyType)`, `FacesConfigPackage.getDocumentRoot_ComponentFamily()`

### setComponentFamily

    void setComponentFamily(ComponentFamilyType value)

  Sets the value of the '`Component Family`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Family' containment reference.
  See Also:
    `getComponentFamily()`

### getComponentType

    ComponentTypeType getComponentType()

  Returns the value of the 'Component Type' containment reference. The "component-type" element represents the name under which the corresponding UIComponent class should be registered.

  Returns:
    the value of the 'Component Type' containment reference.
  See Also:
    `setComponentType(ComponentTypeType)`, `FacesConfigPackage.getDocumentRoot_ComponentType()`

### setComponentType

    void setComponentType(ComponentTypeType value)

  Sets the value of the '`Component Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Type' containment reference.
  See Also:
    `getComponentType()`

### getConverter

    ConverterType getConverter()

  Returns the value of the 'Converter' containment reference. The "converter" element represents a concrete Converter implementation class that should be registered under the specified converter identifier. Converter identifiers must be unique within the entire web application. Nested "attribute" elements identify generic attributes that may be configured on the corresponding UIComponent in order to affect the operation of the Converter. Nested "property" elements identify JavaBeans properties of the Converter implementation class that may be configured to affect the operation of the Converter.

  Returns:
    the value of the 'Converter' containment reference.
  See Also:
    `setConverter(ConverterType)`, `FacesConfigPackage.getDocumentRoot_Converter()`

### setConverter

    void setConverter(ConverterType value)

  Sets the value of the '`Converter`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter' containment reference.
  See Also:
    `getConverter()`

### getConverterClass

    ConverterClassType getConverterClass()

  Returns the value of the 'Converter Class' containment reference. The "converter-class" element represents the fully qualified class name of a concrete Converter implementation class. It must be of type "ClassName".

  Returns:
    the value of the 'Converter Class' containment reference.
  See Also:
    `setConverterClass(ConverterClassType)`, `FacesConfigPackage.getDocumentRoot_ConverterClass()`

### setConverterClass

    void setConverterClass(ConverterClassType value)

  Sets the value of the '`Converter Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter Class' containment reference.
  See Also:
    `getConverterClass()`

### getConverterForClass

    ConverterForClassType getConverterForClass()

  Returns the value of the 'Converter For Class' containment reference. The "converter-for-class" element represents the fully qualified class name for which a Converter class will be registered. It must be of type "ClassName".

  Returns:
    the value of the 'Converter For Class' containment reference.
  See Also:
    `setConverterForClass(ConverterForClassType)`, `FacesConfigPackage.getDocumentRoot_ConverterForClass()`

### setConverterForClass

    void setConverterForClass(ConverterForClassType value)

  Sets the value of the '`Converter For Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter For Class' containment reference.
  See Also:
    `getConverterForClass()`

### getConverterId

    ConverterIdType getConverterId()

  Returns the value of the 'Converter Id' containment reference. The "converter-id" element represents the identifier under which the corresponding Converter class should be registered.

  Returns:
    the value of the 'Converter Id' containment reference.
  See Also:
    `setConverterId(ConverterIdType)`, `FacesConfigPackage.getDocumentRoot_ConverterId()`

### setConverterId

    void setConverterId(ConverterIdType value)

  Sets the value of the '`Converter Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Converter Id' containment reference.
  See Also:
    `getConverterId()`

### getDefaultLocale

    DefaultLocaleType getDefaultLocale()

  Returns the value of the 'Default Locale' containment reference. The "default-locale" element declares the default locale for this application instance. It must be specified as :language:[_:country:[_:variant:]] without the colons, for example "ja_JP_SJIS". The separators between the segments may be '-' or '_'.

  Returns:
    the value of the 'Default Locale' containment reference.
  See Also:
    `setDefaultLocale(DefaultLocaleType)`, `FacesConfigPackage.getDocumentRoot_DefaultLocale()`

### setDefaultLocale

    void setDefaultLocale(DefaultLocaleType value)

  Sets the value of the '`Default Locale`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Locale' containment reference.
  See Also:
    `getDefaultLocale()`

### getDefaultRenderKitId

    DefaultRenderKitIdType getDefaultRenderKitId()

  Returns the value of the 'Default Render Kit Id' containment reference. The "default-render-kit-id" element allows the application to define a renderkit to be used other than the standard one.

  Returns:
    the value of the 'Default Render Kit Id' containment reference.
  See Also:
    `setDefaultRenderKitId(DefaultRenderKitIdType)`, `FacesConfigPackage.getDocumentRoot_DefaultRenderKitId()`

### setDefaultRenderKitId

    void setDefaultRenderKitId(DefaultRenderKitIdType value)

  Sets the value of the '`Default Render Kit Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Render Kit Id' containment reference.
  See Also:
    `getDefaultRenderKitId()`

### getDefaultValidators

    DefaultValidatorsType getDefaultValidators()

  Returns the value of the 'Default Validators' containment reference.

  Returns:
    the value of the 'Default Validators' containment reference.
  See Also:
    `setDefaultValidators(DefaultValidatorsType)`, `FacesConfigPackage.getDocumentRoot_DefaultValidators()`

### setDefaultValidators

    void setDefaultValidators(DefaultValidatorsType value)

  Sets the value of the '`Default Validators`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Validators' containment reference.
  See Also:
    `getDefaultValidators()`

### getDefaultValue

    DefaultValueType getDefaultValue()

  Returns the value of the 'Default Value' containment reference. The "default-value" contains the value for the property or attribute in which this element resides. This value differs from the "suggested-value" in that the property or attribute must take the value, whereas in "suggested-value" taking the value is optional.

  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getDocumentRoot_DefaultValue()`

### setDefaultValue

    void setDefaultValue(DefaultValueType value)

  Sets the value of the '`Default Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Value' containment reference.
  See Also:
    `getDefaultValue()`

### getDescription

    DescriptionType getDescription()

  Returns the value of the 'Description' containment reference. The "description" element contains a textual description of the element it is nested in, optionally flagged with a language code using the "xml:lang" attribute.

  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `setDescription(DescriptionType)`, `FacesConfigPackage.getDocumentRoot_Description()`

### setDescription

    void setDescription(DescriptionType value)

  Sets the value of the '`Description`' containment reference.

  Parameters:
    `value` - the new value of the 'Description' containment reference.
  See Also:
    `getDescription()`

### getDisplayName

    DisplayNameType getDisplayName()

  Returns the value of the 'Display Name' containment reference. The "display-name" element is a short descriptive name describing the entity associated with the element it is nested in, intended to be displayed by tools, and optionally flagged with a language code using the "xml:lang" attribute.

  Returns:
    the value of the 'Display Name' containment reference.
  See Also:
    `setDisplayName(DisplayNameType)`, `FacesConfigPackage.getDocumentRoot_DisplayName()`

### setDisplayName

    void setDisplayName(DisplayNameType value)

  Sets the value of the '`Display Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Display Name' containment reference.
  See Also:
    `getDisplayName()`

### getExceptionHandlerFactory

    ExceptionHandlerFactoryType getExceptionHandlerFactory()

  Returns the value of the 'Exception Handler Factory' containment reference.

  Returns:
    the value of the 'Exception Handler Factory' containment reference.
  See Also:
    `setExceptionHandlerFactory(ExceptionHandlerFactoryType)`, `FacesConfigPackage.getDocumentRoot_ExceptionHandlerFactory()`

### setExceptionHandlerFactory

    void setExceptionHandlerFactory(ExceptionHandlerFactoryType value)

  Sets the value of the '`Exception Handler Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Exception Handler Factory' containment reference.
  See Also:
    `getExceptionHandlerFactory()`

### getExternalContextFactory

    ExternalContextFactoryType getExternalContextFactory()

  Returns the value of the 'External Context Factory' containment reference.

  Returns:
    the value of the 'External Context Factory' containment reference.
  See Also:
    `setExternalContextFactory(ExternalContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_ExternalContextFactory()`

### setExternalContextFactory

    void setExternalContextFactory(ExternalContextFactoryType value)

  Sets the value of the '`External Context Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'External Context Factory' containment reference.
  See Also:
    `getExternalContextFactory()`

### getFacesConfig

    FacesConfigType getFacesConfig()

  Returns the value of the 'Faces Config' containment reference. ==================== Top Level Elements ============================== The "faces-config" element is the root of the configuration information hierarchy, and contains nested elements for all of the other configuration settings.

  Returns:
    the value of the 'Faces Config' containment reference.
  See Also:
    `setFacesConfig(FacesConfigType)`, `FacesConfigPackage.getDocumentRoot_FacesConfig()`

### setFacesConfig

    void setFacesConfig(FacesConfigType value)

  Sets the value of the '`Faces Config`' containment reference.

  Parameters:
    `value` - the new value of the 'Faces Config' containment reference.
  See Also:
    `getFacesConfig()`

### getFacesContextFactory

    FacesContextFactoryType getFacesContextFactory()

  Returns the value of the 'Faces Context Factory' containment reference. The "faces-context-factory" element contains the fully qualified class name of the concrete FacesContextFactory implementation class that will be called when FactoryFinder.getFactory(FACES_CONTEXT_FACTORY) is called. It must be of type "ClassName".

  Returns:
    the value of the 'Faces Context Factory' containment reference.
  See Also:
    `setFacesContextFactory(FacesContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_FacesContextFactory()`

### setFacesContextFactory

    void setFacesContextFactory(FacesContextFactoryType value)

  Sets the value of the '`Faces Context Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Faces Context Factory' containment reference.
  See Also:
    `getFacesContextFactory()`

### getFacet

    FacetType getFacet()

  Returns the value of the 'Facet' containment reference. Define the name and other design-time information for a facet that is associated with a renderer or a component.

  Returns:
    the value of the 'Facet' containment reference.
  See Also:
    `setFacet(FacetType)`, `FacesConfigPackage.getDocumentRoot_Facet()`

### setFacet

    void setFacet(FacetType value)

  Sets the value of the '`Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Facet' containment reference.
  See Also:
    `getFacet()`

### getFacetExtension

    FacetExtensionType getFacetExtension()

  Returns the value of the 'Facet Extension' containment reference. Extension element for facet. May contain implementation specific content.

  Returns:
    the value of the 'Facet Extension' containment reference.
  See Also:
    `setFacetExtension(FacetExtensionType)`, `FacesConfigPackage.getDocumentRoot_FacetExtension()`

### setFacetExtension

    void setFacetExtension(FacetExtensionType value)

  Sets the value of the '`Facet Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Facet Extension' containment reference.
  See Also:
    `getFacetExtension()`

### getFacetName

    FacetNameType getFacetName()

  Returns the value of the 'Facet Name' containment reference. The "facet-name" element represents the facet name under which a UIComponent will be added to its parent. It must be of type "Identifier".

  Returns:
    the value of the 'Facet Name' containment reference.
  See Also:
    `setFacetName(FacetNameType)`, `FacesConfigPackage.getDocumentRoot_FacetName()`

### setFacetName

    void setFacetName(FacetNameType value)

  Sets the value of the '`Facet Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Facet Name' containment reference.
  See Also:
    `getFacetName()`

### getFactory

    FactoryType getFactory()

  Returns the value of the 'Factory' containment reference. The "factory" element provides a mechanism to define the various Factories that comprise parts of the implementation of JavaServer Faces. For nested elements that are not specified, the JSF implementation must provide a suitable default.

  Returns:
    the value of the 'Factory' containment reference.
  See Also:
    `setFactory(FactoryType)`, `FacesConfigPackage.getDocumentRoot_Factory()`

### setFactory

    void setFactory(FactoryType value)

  Sets the value of the '`Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Factory' containment reference.
  See Also:
    `getFactory()`

### getFromAction

    FromActionType getFromAction()

  Returns the value of the 'From Action' containment reference. The "from-action" element contains an action reference expression that must have been executed (by the default ActionListener for handling application level events) in order to select this navigation rule. If not specified, this rule will be relevant no matter which action reference was executed (or if no action reference was executed). This value must be of type "Action".

  Returns:
    the value of the 'From Action' containment reference.
  See Also:
    `setFromAction(FromActionType)`, `FacesConfigPackage.getDocumentRoot_FromAction()`

### setFromAction

    void setFromAction(FromActionType value)

  Sets the value of the '`From Action`' containment reference.

  Parameters:
    `value` - the new value of the 'From Action' containment reference.
  See Also:
    `getFromAction()`

### getFromOutcome

    FromOutcomeType getFromOutcome()

  Returns the value of the 'From Outcome' containment reference. The "from-outcome" element contains a logical outcome string returned by the execution of an application action method selected via an "actionRef" property (or a literal value specified by an "action" property) of a UICommand component. If specified, this rule will be relevant only if the outcome value matches this element's value. If not specified, this rule will be relevant no matter what the outcome value was.

  Returns:
    the value of the 'From Outcome' containment reference.
  See Also:
    `setFromOutcome(FromOutcomeType)`, `FacesConfigPackage.getDocumentRoot_FromOutcome()`

### setFromOutcome

    void setFromOutcome(FromOutcomeType value)

  Sets the value of the '`From Outcome`' containment reference.

  Parameters:
    `value` - the new value of the 'From Outcome' containment reference.
  See Also:
    `getFromOutcome()`

### getFromViewId

    FromViewIdType getFromViewId()

  Returns the value of the 'From View Id' containment reference. The "from-view-id" element contains the view identifier of the view for which the containing navigation rule is relevant. If no "from-view" element is specified, this rule applies to navigation decisions on all views. If this element is not specified, a value of "*" is assumed, meaning that this navigation rule applies to all views. This value must be of type "ViewIdPattern".

  Returns:
    the value of the 'From View Id' containment reference.
  See Also:
    `setFromViewId(FromViewIdType)`, `FacesConfigPackage.getDocumentRoot_FromViewId()`

### setFromViewId

    void setFromViewId(FromViewIdType value)

  Sets the value of the '`From View Id`' containment reference.

  Parameters:
    `value` - the new value of the 'From View Id' containment reference.
  See Also:
    `getFromViewId()`

### getIcon

    IconType getIcon()

  Returns the value of the 'Icon' containment reference. The "icon" element contains "small-icon" and "large-icon" elements that specify the resoruce paths for small and large GIF or JPG icon images used to represent the parent element in a GUI tool.

  Returns:
    the value of the 'Icon' containment reference.
  See Also:
    `setIcon(IconType)`, `FacesConfigPackage.getDocumentRoot_Icon()`

### setIcon

    void setIcon(IconType value)

  Sets the value of the '`Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Icon' containment reference.
  See Also:
    `getIcon()`

### getIf

    IfType getIf()

  Returns the value of the 'If' containment reference.

  Returns:
    the value of the 'If' containment reference.
  See Also:
    `setIf(IfType)`, `FacesConfigPackage.getDocumentRoot_If()`

### setIf

    void setIf(IfType value)

  Sets the value of the '`If`' containment reference.

  Parameters:
    `value` - the new value of the 'If' containment reference.
  See Also:
    `getIf()`

### getKey

    KeyType getKey()

  Returns the value of the 'Key' containment reference. The "key" element is the String representation of a map key that will be stored in a managed property of type java.util.Map.

  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `setKey(KeyType)`, `FacesConfigPackage.getDocumentRoot_Key()`

### setKey

    void setKey(KeyType value)

  Sets the value of the '`Key`' containment reference.

  Parameters:
    `value` - the new value of the 'Key' containment reference.
  See Also:
    `getKey()`

### getKeyClass

    KeyClassType getKeyClass()

  Returns the value of the 'Key Class' containment reference. The "key-class" element defines the Java type to which each "key" element in a set of "map-entry" elements will be converted to. It must be of type "ClassName". If omitted, "java.lang.String" is assumed.

  Returns:
    the value of the 'Key Class' containment reference.
  See Also:
    `setKeyClass(KeyClassType)`, `FacesConfigPackage.getDocumentRoot_KeyClass()`

### setKeyClass

    void setKeyClass(KeyClassType value)

  Sets the value of the '`Key Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Key Class' containment reference.
  See Also:
    `getKeyClass()`

### getLargeIcon

    LargeIconType getLargeIcon()

  Returns the value of the 'Large Icon' containment reference. The "large-icon" element contains the resource path to a large (32x32) icon image. The image may be in either GIF or JPG format.

  Returns:
    the value of the 'Large Icon' containment reference.
  See Also:
    `setLargeIcon(LargeIconType)`, `FacesConfigPackage.getDocumentRoot_LargeIcon()`

### setLargeIcon

    void setLargeIcon(LargeIconType value)

  Sets the value of the '`Large Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Large Icon' containment reference.
  See Also:
    `getLargeIcon()`

### getLifecycle

    LifecycleType getLifecycle()

  Returns the value of the 'Lifecycle' containment reference. The "lifecycle" element provides a mechanism to specify modifications to the behaviour of the default Lifecycle implementation for this web application.

  Returns:
    the value of the 'Lifecycle' containment reference.
  See Also:
    `setLifecycle(LifecycleType)`, `FacesConfigPackage.getDocumentRoot_Lifecycle()`

### setLifecycle

    void setLifecycle(LifecycleType value)

  Sets the value of the '`Lifecycle`' containment reference.

  Parameters:
    `value` - the new value of the 'Lifecycle' containment reference.
  See Also:
    `getLifecycle()`

### getLifecycleFactory

    LifecycleFactoryType getLifecycleFactory()

  Returns the value of the 'Lifecycle Factory' containment reference. The "lifecycle-factory" element contains the fully qualified class name of the concrete LifecycleFactory implementation class that will be called when FactoryFinder.getFactory(LIFECYCLE_FACTORY) is called. It must be of type "ClassName".

  Returns:
    the value of the 'Lifecycle Factory' containment reference.
  See Also:
    `setLifecycleFactory(LifecycleFactoryType)`, `FacesConfigPackage.getDocumentRoot_LifecycleFactory()`

### setLifecycleFactory

    void setLifecycleFactory(LifecycleFactoryType value)

  Sets the value of the '`Lifecycle Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Lifecycle Factory' containment reference.
  See Also:
    `getLifecycleFactory()`

### getListEntries

    ListEntriesType getListEntries()

  Returns the value of the 'List Entries' containment reference. The "list-entries" element represents a set of initialization elements for a managed property that is a java.util.List or an array. In the former case, the "value-class" element can optionally be used to declare the Java type to which each value should be converted before adding it to the Collection.

  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `setListEntries(ListEntriesType)`, `FacesConfigPackage.getDocumentRoot_ListEntries()`

### setListEntries

    void setListEntries(ListEntriesType value)

  Sets the value of the '`List Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'List Entries' containment reference.
  See Also:
    `getListEntries()`

### getLocaleConfig

    LocaleConfigType getLocaleConfig()

  Returns the value of the 'Locale Config' containment reference. The "locale-config" element allows the app developer to declare the supported locales for this application.

  Returns:
    the value of the 'Locale Config' containment reference.
  See Also:
    `setLocaleConfig(LocaleConfigType)`, `FacesConfigPackage.getDocumentRoot_LocaleConfig()`

### setLocaleConfig

    void setLocaleConfig(LocaleConfigType value)

  Sets the value of the '`Locale Config`' containment reference.

  Parameters:
    `value` - the new value of the 'Locale Config' containment reference.
  See Also:
    `getLocaleConfig()`

### getManagedBean

    ManagedBeanType getManagedBean()

  Returns the value of the 'Managed Bean' containment reference. The "managed-bean" element represents a JavaBean, of a particular class, that will be dynamically instantiated at runtime (by the default VariableResolver implementation) if it is referenced as the first element of a value reference expression, and no corresponding bean can be identified in any scope. In addition to the creation of the managed bean, and the optional storing of it into the specified scope, the nested managed-property elements can be used to initialize the contents of settable JavaBeans properties of the created instance.

  Returns:
    the value of the 'Managed Bean' containment reference.
  See Also:
    `setManagedBean(ManagedBeanType)`, `FacesConfigPackage.getDocumentRoot_ManagedBean()`

### setManagedBean

    void setManagedBean(ManagedBeanType value)

  Sets the value of the '`Managed Bean`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean' containment reference.
  See Also:
    `getManagedBean()`

### getManagedBeanClass

    ManagedBeanClassType getManagedBeanClass()

  Returns the value of the 'Managed Bean Class' containment reference. The "managed-bean-class" element represents the fully qualified class name of the Java class that will be used to instantiate a new instance if creation of the specified managed bean is requested. It must be of type "ClassName". The specified class must conform to standard JavaBeans conventions. In particular, it must have a public zero-arguments constructor, and zero or more public property setters.

  Returns:
    the value of the 'Managed Bean Class' containment reference.
  See Also:
    `setManagedBeanClass(ManagedBeanClassType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanClass()`

### setManagedBeanClass

    void setManagedBeanClass(ManagedBeanClassType value)

  Sets the value of the '`Managed Bean Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Class' containment reference.
  See Also:
    `getManagedBeanClass()`

### getManagedBeanName

    ManagedBeanNameType getManagedBeanName()

  Returns the value of the 'Managed Bean Name' containment reference. The "managed-bean-name" element represents the attribute name under which a managed bean will be searched for, as well as stored (unless the "managed-bean-scope" value is "none"). It must be of type "Identifier".

  Returns:
    the value of the 'Managed Bean Name' containment reference.
  See Also:
    `setManagedBeanName(ManagedBeanNameType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanName()`

### setManagedBeanName

    void setManagedBeanName(ManagedBeanNameType value)

  Sets the value of the '`Managed Bean Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Name' containment reference.
  See Also:
    `getManagedBeanName()`

### getManagedBeanScope

    ManagedBeanScopeType getManagedBeanScope()

  Returns the value of the 'Managed Bean Scope' containment reference. The "managed-bean-scope" element represents the scope into which a newly created instance of the specified managed bean will be stored (unless the value is "none"). It must be of type "ScopeOrNone".

  Returns:
    the value of the 'Managed Bean Scope' containment reference.
  See Also:
    `setManagedBeanScope(ManagedBeanScopeType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanScope()`

### setManagedBeanScope

    void setManagedBeanScope(ManagedBeanScopeType value)

  Sets the value of the '`Managed Bean Scope`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Scope' containment reference.
  See Also:
    `getManagedBeanScope()`

### getManagedProperty

    ManagedPropertyType getManagedProperty()

  Returns the value of the 'Managed Property' containment reference. The "managed-property" element represents an individual property of a managed bean that will be configured to the specified value (or value set) if the corresponding managed bean is automatically created.

  Returns:
    the value of the 'Managed Property' containment reference.
  See Also:
    `setManagedProperty(ManagedPropertyType)`, `FacesConfigPackage.getDocumentRoot_ManagedProperty()`

### setManagedProperty

    void setManagedProperty(ManagedPropertyType value)

  Sets the value of the '`Managed Property`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Property' containment reference.
  See Also:
    `getManagedProperty()`

### getMapEntries

    MapEntriesType getMapEntries()

  Returns the value of the 'Map Entries' containment reference. The "map-entries' element represents a set of key-entry pairs that will be added to the computed value of a managed property of type java.util.Map. In addition, the Java class types of the key and entry values may be optionally declared.

  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `setMapEntries(MapEntriesType)`, `FacesConfigPackage.getDocumentRoot_MapEntries()`

### setMapEntries

    void setMapEntries(MapEntriesType value)

  Sets the value of the '`Map Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'Map Entries' containment reference.
  See Also:
    `getMapEntries()`

### getMapEntry

    MapEntryType getMapEntry()

  Returns the value of the 'Map Entry' containment reference. The "map-entry" element reprsents a single key-entry pair that will be added to the computed value of a managed property of type java.util.Map.

  Returns:
    the value of the 'Map Entry' containment reference.
  See Also:
    `setMapEntry(MapEntryType)`, `FacesConfigPackage.getDocumentRoot_MapEntry()`

### setMapEntry

    void setMapEntry(MapEntryType value)

  Sets the value of the '`Map Entry`' containment reference.

  Parameters:
    `value` - the new value of the 'Map Entry' containment reference.
  See Also:
    `getMapEntry()`

### getMessageBundle

    MessageBundleType getMessageBundle()

  Returns the value of the 'Message Bundle' containment reference. The base name of a resource bundle representing the message resources for this application. See the JavaDocs for the "java.util.ResourceBundle" class for more information on the syntax of resource bundle names.

  Returns:
    the value of the 'Message Bundle' containment reference.
  See Also:
    `setMessageBundle(MessageBundleType)`, `FacesConfigPackage.getDocumentRoot_MessageBundle()`

### setMessageBundle

    void setMessageBundle(MessageBundleType value)

  Sets the value of the '`Message Bundle`' containment reference.

  Parameters:
    `value` - the new value of the 'Message Bundle' containment reference.
  See Also:
    `getMessageBundle()`

### getName

    NameType getName()

  Returns the value of the 'Name' containment reference.

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(NameType)`, `FacesConfigPackage.getDocumentRoot_Name()`

### setName

    void setName(NameType value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getNavigationCase

    NavigationCaseType getNavigationCase()

  Returns the value of the 'Navigation Case' containment reference. The "navigation-case" element describes a particular combination of conditions that must match for this case to be executed, and the view id of the component tree that should be selected next.

  Returns:
    the value of the 'Navigation Case' containment reference.
  See Also:
    `setNavigationCase(NavigationCaseType)`, `FacesConfigPackage.getDocumentRoot_NavigationCase()`

### setNavigationCase

    void setNavigationCase(NavigationCaseType value)

  Sets the value of the '`Navigation Case`' containment reference.

  Parameters:
    `value` - the new value of the 'Navigation Case' containment reference.
  See Also:
    `getNavigationCase()`

### getNavigationHandler

    NavigationHandlerType getNavigationHandler()

  Returns the value of the 'Navigation Handler' containment reference. The "navigation-handler" element contains the fully qualified class name of the concrete NavigationHandler implementation class that will be called during the Invoke Application phase of the request processing lifecycle, if the default ActionListener (provided by the JSF implementation) is used. It must be of type "ClassName".

  Returns:
    the value of the 'Navigation Handler' containment reference.
  See Also:
    `setNavigationHandler(NavigationHandlerType)`, `FacesConfigPackage.getDocumentRoot_NavigationHandler()`

### setNavigationHandler

    void setNavigationHandler(NavigationHandlerType value)

  Sets the value of the '`Navigation Handler`' containment reference.

  Parameters:
    `value` - the new value of the 'Navigation Handler' containment reference.
  See Also:
    `getNavigationHandler()`

### getNavigationRule

    NavigationRuleType getNavigationRule()

  Returns the value of the 'Navigation Rule' containment reference. The "navigation-rule" element represents an individual decision rule that will be utilized by the default NavigationHandler implementation to make decisions on what view should be displayed next, based on the view id being processed.

  Returns:
    the value of the 'Navigation Rule' containment reference.
  See Also:
    `setNavigationRule(NavigationRuleType)`, `FacesConfigPackage.getDocumentRoot_NavigationRule()`

### setNavigationRule

    void setNavigationRule(NavigationRuleType value)

  Sets the value of the '`Navigation Rule`' containment reference.

  Parameters:
    `value` - the new value of the 'Navigation Rule' containment reference.
  See Also:
    `getNavigationRule()`

### getNullValue

    NullValueType getNullValue()

  Returns the value of the 'Null Value' containment reference. The "null-value" element indicates that the managed property in which we are nested will be explicitly set to null if our managed bean is automatically created. This is different from omitting the managed property element entirely, which will cause no property setter to be called for this property. The "null-value" element can only be used when the associated "property-class" identifies a Java class, not a Java primitive.

  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `setNullValue(NullValueType)`, `FacesConfigPackage.getDocumentRoot_NullValue()`

### setNullValue

    void setNullValue(NullValueType value)

  Sets the value of the '`Null Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Null Value' containment reference.
  See Also:
    `getNullValue()`

### getOrdering

    OrderingType getOrdering()

  Returns the value of the 'Ordering' containment reference.

  Returns:
    the value of the 'Ordering' containment reference.
  See Also:
    `setOrdering(OrderingType)`, `FacesConfigPackage.getDocumentRoot_Ordering()`

### setOrdering

    void setOrdering(OrderingType value)

  Sets the value of the '`Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Ordering' containment reference.
  See Also:
    `getOrdering()`

### getOrderingOrdering

    OrderingOrderingType getOrderingOrdering()

  Returns the value of the 'Ordering Ordering' containment reference.

  Returns:
    the value of the 'Ordering Ordering' containment reference.
  See Also:
    `setOrderingOrdering(OrderingOrderingType)`, `FacesConfigPackage.getDocumentRoot_OrderingOrdering()`

### setOrderingOrdering

    void setOrderingOrdering(OrderingOrderingType value)

  Sets the value of the '`Ordering Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Ordering Ordering' containment reference.
  See Also:
    `getOrderingOrdering()`

### getOthers

    OrderingOthersType getOthers()

  Returns the value of the 'Others' containment reference.

  Returns:
    the value of the 'Others' containment reference.
  See Also:
    `setOthers(OrderingOthersType)`, `FacesConfigPackage.getDocumentRoot_Others()`

### setOthers

    void setOthers(OrderingOthersType value)

  Sets the value of the '`Others`' containment reference.

  Parameters:
    `value` - the new value of the 'Others' containment reference.
  See Also:
    `getOthers()`

### getPartialViewContextFactory

    PartialViewContextFactoryType getPartialViewContextFactory()

  Returns the value of the 'Partial View Context Factory' containment reference.

  Returns:
    the value of the 'Partial View Context Factory' containment reference.
  See Also:
    `setPartialViewContextFactory(PartialViewContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_PartialViewContextFactory()`

### setPartialViewContextFactory

    void setPartialViewContextFactory(PartialViewContextFactoryType value)

  Sets the value of the '`Partial View Context Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Partial View Context Factory' containment reference.
  See Also:
    `getPartialViewContextFactory()`

### getPhaseListener

    PhaseListenerType getPhaseListener()

  Returns the value of the 'Phase Listener' containment reference. The "phase-listener" element contains the fully qualified class name of the concrete PhaseListener implementation class that will be registered on the Lifecycle. It must be of type "ClassName".

  Returns:
    the value of the 'Phase Listener' containment reference.
  See Also:
    `setPhaseListener(PhaseListenerType)`, `FacesConfigPackage.getDocumentRoot_PhaseListener()`

### setPhaseListener

    void setPhaseListener(PhaseListenerType value)

  Sets the value of the '`Phase Listener`' containment reference.

  Parameters:
    `value` - the new value of the 'Phase Listener' containment reference.
  See Also:
    `getPhaseListener()`

### getProperty

    PropertyType getProperty()

  Returns the value of the 'Property' containment reference. The "property" element represents a JavaBean property of the Java class represented by our parent element. Property names must be unique within the scope of the Java class that is represented by the parent element, and must correspond to property names that will be recognized when performing introspection against that class via java.beans.Introspector.

  Returns:
    the value of the 'Property' containment reference.
  See Also:
    `setProperty(PropertyType)`, `FacesConfigPackage.getDocumentRoot_Property()`

### setProperty

    void setProperty(PropertyType value)

  Sets the value of the '`Property`' containment reference.

  Parameters:
    `value` - the new value of the 'Property' containment reference.
  See Also:
    `getProperty()`

### getPropertyClass

    PropertyClassType getPropertyClass()

  Returns the value of the 'Property Class' containment reference. The "property-class" element represents the Java type of the value associated with this property name. It must be of type "JavaType". If not specified, it can be inferred from existing classes; however, this element should be specified if the configuration file is going to be the source for generating the corresponding classes.

  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getDocumentRoot_PropertyClass()`

### setPropertyClass

    void setPropertyClass(PropertyClassType value)

  Sets the value of the '`Property Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Class' containment reference.
  See Also:
    `getPropertyClass()`

### getPropertyExtension

    PropertyExtensionType getPropertyExtension()

  Returns the value of the 'Property Extension' containment reference. Extension element for property. May contain implementation specific content.

  Returns:
    the value of the 'Property Extension' containment reference.
  See Also:
    `setPropertyExtension(PropertyExtensionType)`, `FacesConfigPackage.getDocumentRoot_PropertyExtension()`

### setPropertyExtension

    void setPropertyExtension(PropertyExtensionType value)

  Sets the value of the '`Property Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Extension' containment reference.
  See Also:
    `getPropertyExtension()`

### getPropertyName

    PropertyNameType getPropertyName()

  Returns the value of the 'Property Name' containment reference. The "property-name" element represents the JavaBeans property name under which the corresponding value may be stored.

  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `setPropertyName(PropertyNameType)`, `FacesConfigPackage.getDocumentRoot_PropertyName()`

### setPropertyName

    void setPropertyName(PropertyNameType value)

  Sets the value of the '`Property Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Name' containment reference.
  See Also:
    `getPropertyName()`

### getPropertyResolver

    PropertyResolverType getPropertyResolver()

  Returns the value of the 'Property Resolver' containment reference. The "property-resolver" element contains the fully qualified class name of the concrete PropertyResolver implementation class that will be used during the processing of value reference expressions. It must be of type "ClassName".

  Returns:
    the value of the 'Property Resolver' containment reference.
  See Also:
    `setPropertyResolver(PropertyResolverType)`, `FacesConfigPackage.getDocumentRoot_PropertyResolver()`

### setPropertyResolver

    void setPropertyResolver(PropertyResolverType value)

  Sets the value of the '`Property Resolver`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Resolver' containment reference.
  See Also:
    `getPropertyResolver()`

### getRedirect

    RedirectType getRedirect()

  Returns the value of the 'Redirect' containment reference. The "redirect" element indicates that navigation to the specified "to-view-id" should be accomplished by performing an HTTP redirect rather than the usual ViewHandler mechanisms.

  Returns:
    the value of the 'Redirect' containment reference.
  See Also:
    `setRedirect(RedirectType)`, `FacesConfigPackage.getDocumentRoot_Redirect()`

### setRedirect

    void setRedirect(RedirectType value)

  Sets the value of the '`Redirect`' containment reference.

  Parameters:
    `value` - the new value of the 'Redirect' containment reference.
  See Also:
    `getRedirect()`

### getRedirectViewParam

    RedirectViewParamType getRedirectViewParam()

  Returns the value of the 'Redirect View Param' containment reference.

  Returns:
    the value of the 'Redirect View Param' containment reference.
  See Also:
    `setRedirectViewParam(RedirectViewParamType)`, `FacesConfigPackage.getDocumentRoot_RedirectViewParam()`

### setRedirectViewParam

    void setRedirectViewParam(RedirectViewParamType value)

  Sets the value of the '`Redirect View Param`' containment reference.

  Parameters:
    `value` - the new value of the 'Redirect View Param' containment reference.
  See Also:
    `getRedirectViewParam()`

### getReferencedBean

    ReferencedBeanType getReferencedBean()

  Returns the value of the 'Referenced Bean' containment reference. The "referenced-bean" element represents at design time the promise that a Java object of the specified type will exist at runtime in some scope, under the specified key. This can be used by design time tools to construct user interface dialogs based on the properties of the specified class. The presence or absence of a referenced bean element has no impact on the JavaServer Faces runtime environment inside a web application.

  Returns:
    the value of the 'Referenced Bean' containment reference.
  See Also:
    `setReferencedBean(ReferencedBeanType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBean()`

### setReferencedBean

    void setReferencedBean(ReferencedBeanType value)

  Sets the value of the '`Referenced Bean`' containment reference.

  Parameters:
    `value` - the new value of the 'Referenced Bean' containment reference.
  See Also:
    `getReferencedBean()`

### getReferencedBeanClass

    ReferencedBeanClassType getReferencedBeanClass()

  Returns the value of the 'Referenced Bean Class' containment reference. The "referenced-bean-class" element represents the fully qualified class name of the Java class (either abstract or concrete) or Java interface implemented by the corresponding referenced bean. It must be of type "ClassName".

  Returns:
    the value of the 'Referenced Bean Class' containment reference.
  See Also:
    `setReferencedBeanClass(ReferencedBeanClassType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBeanClass()`

### setReferencedBeanClass

    void setReferencedBeanClass(ReferencedBeanClassType value)

  Sets the value of the '`Referenced Bean Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Referenced Bean Class' containment reference.
  See Also:
    `getReferencedBeanClass()`

### getReferencedBeanName

    ReferencedBeanNameType getReferencedBeanName()

  Returns the value of the 'Referenced Bean Name' containment reference. The "referenced-bean-name" element represents the attribute name under which the corresponding referenced bean may be assumed to be stored, in one of the scopes defined by the "Scope" type. It must be of type "Identifier".

  Returns:
    the value of the 'Referenced Bean Name' containment reference.
  See Also:
    `setReferencedBeanName(ReferencedBeanNameType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBeanName()`

### setReferencedBeanName

    void setReferencedBeanName(ReferencedBeanNameType value)

  Sets the value of the '`Referenced Bean Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Referenced Bean Name' containment reference.
  See Also:
    `getReferencedBeanName()`

### getRenderer

    RendererType getRenderer()

  Returns the value of the 'Renderer' containment reference. The "renderer" element represents a concrete Renderer implementation class that should be registered under the specified type identifier, in the RenderKit associated with the parent render-kit element. Renderer types must be unique within the RenderKit associated with the parent "render-kit" element. Nested "attribute" elements identify generic component attributes that are recognized by this renderer. Nested "supported-component-type" and "supported-component-class" elements identify supported component classes, by their type identifiers or the implementation class name, respectively, that are supported by this Renderer.

  Returns:
    the value of the 'Renderer' containment reference.
  See Also:
    `setRenderer(RendererType)`, `FacesConfigPackage.getDocumentRoot_Renderer()`

### setRenderer

    void setRenderer(RendererType value)

  Sets the value of the '`Renderer`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer' containment reference.
  See Also:
    `getRenderer()`

### getRendererClass

    RendererClassType getRendererClass()

  Returns the value of the 'Renderer Class' containment reference. The "renderer-class" element represents the fully qualified class name of a concrete Renderer implementation class. It must be of type "ClassName".

  Returns:
    the value of the 'Renderer Class' containment reference.
  See Also:
    `setRendererClass(RendererClassType)`, `FacesConfigPackage.getDocumentRoot_RendererClass()`

### setRendererClass

    void setRendererClass(RendererClassType value)

  Sets the value of the '`Renderer Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer Class' containment reference.
  See Also:
    `getRendererClass()`

### getRendererExtension

    RendererExtensionType getRendererExtension()

  Returns the value of the 'Renderer Extension' containment reference. Extension element for renderer. May contain implementation specific content.

  Returns:
    the value of the 'Renderer Extension' containment reference.
  See Also:
    `setRendererExtension(RendererExtensionType)`, `FacesConfigPackage.getDocumentRoot_RendererExtension()`

### setRendererExtension

    void setRendererExtension(RendererExtensionType value)

  Sets the value of the '`Renderer Extension`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer Extension' containment reference.
  See Also:
    `getRendererExtension()`

### getRendererType

    RendererTypeType getRendererType()

  Returns the value of the 'Renderer Type' containment reference. The "renderer-type" element represents a renderer type identifier for the Renderer represented by the parent "renderer" element.

  Returns:
    the value of the 'Renderer Type' containment reference.
  See Also:
    `setRendererType(RendererTypeType)`, `FacesConfigPackage.getDocumentRoot_RendererType()`

### setRendererType

    void setRendererType(RendererTypeType value)

  Sets the value of the '`Renderer Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer Type' containment reference.
  See Also:
    `getRendererType()`

### getRenderKit

    RenderKitType getRenderKit()

  Returns the value of the 'Render Kit' containment reference. The "render-kit" element represents a concrete RenderKit implementation that should be registered under the specified render-kit-id. If no render-kit-id is specified, the identifier of the default RenderKit (RenderKitFactory.DEFAULT_RENDER_KIT) is assumed.

  Returns:
    the value of the 'Render Kit' containment reference.
  See Also:
    `setRenderKit(RenderKitType)`, `FacesConfigPackage.getDocumentRoot_RenderKit()`

### setRenderKit

    void setRenderKit(RenderKitType value)

  Sets the value of the '`Render Kit`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit' containment reference.
  See Also:
    `getRenderKit()`

### getRenderKitClass

    RenderKitClassType getRenderKitClass()

  Returns the value of the 'Render Kit Class' containment reference. The "render-kit-class" element represents the fully qualified class name of a concrete RenderKit implementation class. It must be of type "ClassName".

  Returns:
    the value of the 'Render Kit Class' containment reference.
  See Also:
    `setRenderKitClass(RenderKitClassType)`, `FacesConfigPackage.getDocumentRoot_RenderKitClass()`

### setRenderKitClass

    void setRenderKitClass(RenderKitClassType value)

  Sets the value of the '`Render Kit Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit Class' containment reference.
  See Also:
    `getRenderKitClass()`

### getRenderKitFactory

    RenderKitFactoryType getRenderKitFactory()

  Returns the value of the 'Render Kit Factory' containment reference. The "render-kit-factory" element contains the fully qualified class name of the concrete RenderKitFactory implementation class that will be called when FactoryFinder.getFactory(RENDER_KIT_FACTORY) is called. It must be of type "ClassName".

  Returns:
    the value of the 'Render Kit Factory' containment reference.
  See Also:
    `setRenderKitFactory(RenderKitFactoryType)`, `FacesConfigPackage.getDocumentRoot_RenderKitFactory()`

### setRenderKitFactory

    void setRenderKitFactory(RenderKitFactoryType value)

  Sets the value of the '`Render Kit Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit Factory' containment reference.
  See Also:
    `getRenderKitFactory()`

### getRenderKitId

    RenderKitIdType getRenderKitId()

  Returns the value of the 'Render Kit Id' containment reference. The "render-kit-id" element represents an identifier for the RenderKit represented by the parent "render-kit" element.

  Returns:
    the value of the 'Render Kit Id' containment reference.
  See Also:
    `setRenderKitId(RenderKitIdType)`, `FacesConfigPackage.getDocumentRoot_RenderKitId()`

### setRenderKitId

    void setRenderKitId(RenderKitIdType value)

  Sets the value of the '`Render Kit Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Render Kit Id' containment reference.
  See Also:
    `getRenderKitId()`

### getResourceHandler

    ResourceHandlerType getResourceHandler()

  Returns the value of the 'Resource Handler' containment reference.

  Returns:
    the value of the 'Resource Handler' containment reference.
  See Also:
    `setResourceHandler(ResourceHandlerType)`, `FacesConfigPackage.getDocumentRoot_ResourceHandler()`

### setResourceHandler

    void setResourceHandler(ResourceHandlerType value)

  Sets the value of the '`Resource Handler`' containment reference.

  Parameters:
    `value` - the new value of the 'Resource Handler' containment reference.
  See Also:
    `getResourceHandler()`

### getSmallIcon

    SmallIconType getSmallIcon()

  Returns the value of the 'Small Icon' containment reference. The "small-icon" element contains the resource path to a small (16x16) icon image. The image may be in either GIF or JPG format.

  Returns:
    the value of the 'Small Icon' containment reference.
  See Also:
    `setSmallIcon(SmallIconType)`, `FacesConfigPackage.getDocumentRoot_SmallIcon()`

### setSmallIcon

    void setSmallIcon(SmallIconType value)

  Sets the value of the '`Small Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Small Icon' containment reference.
  See Also:
    `getSmallIcon()`

### getSourceClass

    SourceClassType getSourceClass()

  Returns the value of the 'Source Class' containment reference.

  Returns:
    the value of the 'Source Class' containment reference.
  See Also:
    `setSourceClass(SourceClassType)`, `FacesConfigPackage.getDocumentRoot_SourceClass()`

### setSourceClass

    void setSourceClass(SourceClassType value)

  Sets the value of the '`Source Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Class' containment reference.
  See Also:
    `getSourceClass()`

### getStateManager

    StateManagerType getStateManager()

  Returns the value of the 'State Manager' containment reference. The "state-manager" element contains the fully qualified class name of the concrete StateManager implementation class that will be called during the Restore View and Render Response phases of the request processing lifecycle. The faces implementation must provide a default implementation of this class

  Returns:
    the value of the 'State Manager' containment reference.
  See Also:
    `setStateManager(StateManagerType)`, `FacesConfigPackage.getDocumentRoot_StateManager()`

### setStateManager

    void setStateManager(StateManagerType value)

  Sets the value of the '`State Manager`' containment reference.

  Parameters:
    `value` - the new value of the 'State Manager' containment reference.
  See Also:
    `getStateManager()`

### getSuggestedValue

    SuggestedValueType getSuggestedValue()

  Returns the value of the 'Suggested Value' containment reference. The "suggested-value" contains the value for the property or attribute in which this element resides. This value is advisory only and is intended for tools to use when populating pallettes.

  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getDocumentRoot_SuggestedValue()`

### setSuggestedValue

    void setSuggestedValue(SuggestedValueType value)

  Sets the value of the '`Suggested Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `getSuggestedValue()`

### getSupportedLocale

    SupportedLocaleType getSupportedLocale()

  Returns the value of the 'Supported Locale' containment reference. The "supported-locale" element allows authors to declare which locales are supported in this application instance. It must be specified as :language:[_:country:[_:variant:]] without the colons, for example "ja_JP_SJIS". The separators between the segments may be '-' or '_'.

  Returns:
    the value of the 'Supported Locale' containment reference.
  See Also:
    `setSupportedLocale(SupportedLocaleType)`, `FacesConfigPackage.getDocumentRoot_SupportedLocale()`

### setSupportedLocale

    void setSupportedLocale(SupportedLocaleType value)

  Sets the value of the '`Supported Locale`' containment reference.

  Parameters:
    `value` - the new value of the 'Supported Locale' containment reference.
  See Also:
    `getSupportedLocale()`

### getSystemEventClass

    SystemEventClassType getSystemEventClass()

  Returns the value of the 'System Event Class' containment reference.

  Returns:
    the value of the 'System Event Class' containment reference.
  See Also:
    `setSystemEventClass(SystemEventClassType)`, `FacesConfigPackage.getDocumentRoot_SystemEventClass()`

### setSystemEventClass

    void setSystemEventClass(SystemEventClassType value)

  Sets the value of the '`System Event Class`' containment reference.

  Parameters:
    `value` - the new value of the 'System Event Class' containment reference.
  See Also:
    `getSystemEventClass()`

### getSystemEventListener

    SystemEventListenerType getSystemEventListener()

  Returns the value of the 'System Event Listener' containment reference.

  Returns:
    the value of the 'System Event Listener' containment reference.
  See Also:
    `setSystemEventListener(SystemEventListenerType)`, `FacesConfigPackage.getDocumentRoot_SystemEventListener()`

### setSystemEventListener

    void setSystemEventListener(SystemEventListenerType value)

  Sets the value of the '`System Event Listener`' containment reference.

  Parameters:
    `value` - the new value of the 'System Event Listener' containment reference.
  See Also:
    `getSystemEventListener()`

### getSystemEventListenerClass

    SystemEventListenerClassType getSystemEventListenerClass()

  Returns the value of the 'System Event Listener Class' containment reference.

  Returns:
    the value of the 'System Event Listener Class' containment reference.
  See Also:
    `setSystemEventListenerClass(SystemEventListenerClassType)`, `FacesConfigPackage.getDocumentRoot_SystemEventListenerClass()`

### setSystemEventListenerClass

    void setSystemEventListenerClass(SystemEventListenerClassType value)

  Sets the value of the '`System Event Listener Class`' containment reference.

  Parameters:
    `value` - the new value of the 'System Event Listener Class' containment reference.
  See Also:
    `getSystemEventListenerClass()`

### getTagHandlerDelegateFactory

    TagHandlerDelegateFactoryType getTagHandlerDelegateFactory()

  Returns the value of the 'Tag Handler Delegate Factory' containment reference.

  Returns:
    the value of the 'Tag Handler Delegate Factory' containment reference.
  See Also:
    `setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType)`, `FacesConfigPackage.getDocumentRoot_TagHandlerDelegateFactory()`

### setTagHandlerDelegateFactory

    void setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType value)

  Sets the value of the '`Tag Handler Delegate Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Tag Handler Delegate Factory' containment reference.
  See Also:
    `getTagHandlerDelegateFactory()`

### getToViewId

    ToViewIdType getToViewId()

  Returns the value of the 'To View Id' containment reference. The "to-view" element contains the view identifier of the next view that should be displayed if this navigation rule is matched. It must be of type "ViewId".

  Returns:
    the value of the 'To View Id' containment reference.
  See Also:
    `setToViewId(ToViewIdType)`, `FacesConfigPackage.getDocumentRoot_ToViewId()`

### setToViewId

    void setToViewId(ToViewIdType value)

  Sets the value of the '`To View Id`' containment reference.

  Parameters:
    `value` - the new value of the 'To View Id' containment reference.
  See Also:
    `getToViewId()`

### getValidator

    ValidatorType getValidator()

  Returns the value of the 'Validator' containment reference. The "validator" element represents a concrete Validator implementation class that should be registered under the specified validator identifier. Validator identifiers must be unique within the entire web application. Nested "attribute" elements identify generic attributes that may be configured on the corresponding UIComponent in order to affect the operation of the Validator. Nested "property" elements identify JavaBeans properties of the Validator implementation class that may be configured to affect the operation of the Validator.

  Returns:
    the value of the 'Validator' containment reference.
  See Also:
    `setValidator(ValidatorType)`, `FacesConfigPackage.getDocumentRoot_Validator()`

### setValidator

    void setValidator(ValidatorType value)

  Sets the value of the '`Validator`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator' containment reference.
  See Also:
    `getValidator()`

### getValidatorClass

    ValidatorClassType getValidatorClass()

  Returns the value of the 'Validator Class' containment reference. The "validator-class" element represents the fully qualified class name of a concrete Validator implementation class. It must be of type "ClassName".

  Returns:
    the value of the 'Validator Class' containment reference.
  See Also:
    `setValidatorClass(ValidatorClassType)`, `FacesConfigPackage.getDocumentRoot_ValidatorClass()`

### setValidatorClass

    void setValidatorClass(ValidatorClassType value)

  Sets the value of the '`Validator Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator Class' containment reference.
  See Also:
    `getValidatorClass()`

### getValidatorId

    ValidatorIdType getValidatorId()

  Returns the value of the 'Validator Id' containment reference. The "validator-id" element represents the identifier under which the corresponding Validator class should be registered.

  Returns:
    the value of the 'Validator Id' containment reference.
  See Also:
    `setValidatorId(ValidatorIdType)`, `FacesConfigPackage.getDocumentRoot_ValidatorId()`

### setValidatorId

    void setValidatorId(ValidatorIdType value)

  Sets the value of the '`Validator Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator Id' containment reference.
  See Also:
    `getValidatorId()`

### getValue

    ValueType getValue()

  Returns the value of the 'Value' containment reference. The "value" element is the String representation of a literal value to which a scalar managed property will be set, or a value reference expression ("#{...}") that will be used to calculate the required value. It will be converted as specified for the actual property type.

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(ValueType)`, `FacesConfigPackage.getDocumentRoot_Value()`

### setValue

    void setValue(ValueType value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getValueClass

    ValueClassType getValueClass()

  Returns the value of the 'Value Class' containment reference. The "value-class" element defines the Java type to which each "value" element's value will be converted to, prior to adding it to the "list-entries" list for a managed property that is a java.util.List, or a "map-entries" map for a managed property that is a java.util.Map. It must be of type "ClassName". If omitted, "java.lang.String" is assumed.

  Returns:
    the value of the 'Value Class' containment reference.
  See Also:
    `setValueClass(ValueClassType)`, `FacesConfigPackage.getDocumentRoot_ValueClass()`

### setValueClass

    void setValueClass(ValueClassType value)

  Sets the value of the '`Value Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Class' containment reference.
  See Also:
    `getValueClass()`

### getVariableResolver

    VariableResolverType getVariableResolver()

  Returns the value of the 'Variable Resolver' containment reference. The "variable-resolver" element contains the fully qualified class name of the concrete VariableResolver implementation class that will be used during the processing of value reference expressions. It must be of type "ClassName".

  Returns:
    the value of the 'Variable Resolver' containment reference.
  See Also:
    `setVariableResolver(VariableResolverType)`, `FacesConfigPackage.getDocumentRoot_VariableResolver()`

### setVariableResolver

    void setVariableResolver(VariableResolverType value)

  Sets the value of the '`Variable Resolver`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable Resolver' containment reference.
  See Also:
    `getVariableResolver()`

### getViewDeclarationLanguageFactory

    ViewDeclarationLanguageFactoryType getViewDeclarationLanguageFactory()

  Returns the value of the 'View Declaration Language Factory' containment reference.

  Returns:
    the value of the 'View Declaration Language Factory' containment reference.
  See Also:
    `setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType)`, `FacesConfigPackage.getDocumentRoot_ViewDeclarationLanguageFactory()`

### setViewDeclarationLanguageFactory

    void setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType value)

  Sets the value of the '`View Declaration Language Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'View Declaration Language Factory' containment reference.
  See Also:
    `getViewDeclarationLanguageFactory()`

### getViewHandler

    ViewHandlerType getViewHandler()

  Returns the value of the 'View Handler' containment reference. The "view-handler" element contains the fully qualified class name of the concrete ViewHandler implementation class that will be called during the Restore View and Render Response phases of the request processing lifecycle. The faces implementation must provide a default implementation of this class

  Returns:
    the value of the 'View Handler' containment reference.
  See Also:
    `setViewHandler(ViewHandlerType)`, `FacesConfigPackage.getDocumentRoot_ViewHandler()`

### setViewHandler

    void setViewHandler(ViewHandlerType value)

  Sets the value of the '`View Handler`' containment reference.

  Parameters:
    `value` - the new value of the 'View Handler' containment reference.
  See Also:
    `getViewHandler()`

### getVisitContextFactory

    VisitContextFactoryType getVisitContextFactory()

  Returns the value of the 'Visit Context Factory' containment reference.

  Returns:
    the value of the 'Visit Context Factory' containment reference.
  See Also:
    `setVisitContextFactory(VisitContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_VisitContextFactory()`

### setVisitContextFactory

    void setVisitContextFactory(VisitContextFactoryType value)

  Sets the value of the '`Visit Context Factory`' containment reference.

  Parameters:
    `value` - the new value of the 'Visit Context Factory' containment reference.
  See Also:
    `getVisitContextFactory()`